﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace httpListener
{
    public static class StringUtility
    {

        public static string ExtractJsonFromRequest(string originalString)
        {
            // Original string
            originalString = originalString.Substring(15);

            // Define start and end markers
            string startMarker = "Content-Disposition: form-data; name=\"event_log\"";
            string endMarker = "--MIME_boundary";

            // Find the indices of start and end markers
            int startIndex = originalString.IndexOf(startMarker);
            int endIndex = originalString.IndexOf(endMarker);

            // Check if both markers are found
            if (startIndex != -1 && endIndex != -1 && endIndex > startIndex)
            {
                // Extract the substring between the markers
                string extractedSubstring = originalString.Substring(startIndex + startMarker.Length, endIndex - startIndex - startMarker.Length);

                // Output the result
                Console.WriteLine("Extracted substring: " + extractedSubstring);
                return extractedSubstring;
            }
            else
            {
                return null;
            }
        }


        public static int ExtractImageLenghtFromRequest(string originalString)
        {


            // Define start and end markers
            string startMarker = "content-length:";
            string endMarker = "Content-ID:";

            // Find the indices of start and end markers
            int startIndex = originalString.IndexOf(startMarker);
            int endIndex = originalString.IndexOf(endMarker);

            // Check if both markers are found
            if (startIndex != -1 && endIndex != -1 && endIndex > startIndex)
            {
                // Extract the substring between the markers
                string extractedSubstring = originalString.Substring(startIndex + startMarker.Length, endIndex - startIndex - startMarker.Length);

                // Output the result
                Console.WriteLine("Extracted substring: " + extractedSubstring);
                return int.Parse(extractedSubstring.Trim());
            }
            else
            {
                return 0;
            }
        }



    }
}
